program VarDemo;

type
  FooType = Integer;

var
  Bar: FooType;
  ArrayFoo: array [0 .. 9] of Integer;   { array var definition }
  FecordFoo: record                      { record var definition }
               bar : Integer
             end;
  CharsetFoo: set of Char;               { set var }
  SubrangeFoo: -123 .. 456;              { subrange var }
  EnumeratedFoo: (Mon, Tue, Wed, Thu, Fri, Sat, Sun);  {enumerated var }
  PointerBar: ^FooType;                  { pointer var }

procedure ReadFoo (var foo: FooType);
begin
  ReadLn (foo)
end;

begin
end.
